* {
    box-sizing: border-box;
}

.main {
 display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

#container {
    display: flex;
    flex-wrap: wrap;
    width: 640px;
    height: 640px;
    border: 1px solid #74bb2c;
    overflow: hidden;
}

.square {
    border: .1px solid #f4ffea;
}


#newgrid {
    margin-top: 20px;
    border-radius: 10px;
    border-width: 1px;
    padding: 6px 12px;
    font-family: 'Gill Sans', 'Gill Sans MT';
    font-size: 16px;
}

#newgrid:hover, #reset:hover {
    background-color: rgb(198, 236, 198);
    cursor: pointer;
}

#reset {
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 10px;
    border-width: 1px;
    padding: 6px 12px;
    font-family: 'Gill Sans', 'Gill Sans MT';
    font-size: 16px;
}
